org.apache.felix.connect

## Class RequiredBundleImpl

- java.lang.Object
- - org.apache.felix.connect.RequiredBundleImpl

All Implemented Interfaces:
  org.osgi.service.packageadmin.RequiredBundle

    public class RequiredBundleImpl
    extends Object
    implements org.osgi.service.packageadmin.RequiredBundle

### Constructor Summary

Constructors
Constructor and Description
`RequiredBundleImpl(org.osgi.framework.Bundle bundle)`

### Method Summary

Methods
`org.osgi.framework.Bundle` `getBundle()`
`org.osgi.framework.Bundle[]` `getRequiringBundles()`
`String` `getSymbolicName()`
`org.osgi.framework.Version` `getVersion()`
`boolean` `isRemovalPending()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequiredBundleImpl

    public RequiredBundleImpl(org.osgi.framework.Bundle bundle)

### Method Detail

#### getSymbolicName

    public String getSymbolicName()

Specified by:
  `getSymbolicName` in interface `org.osgi.service.packageadmin.RequiredBundle`

#### getBundle

    public org.osgi.framework.Bundle getBundle()

Specified by:
  `getBundle` in interface `org.osgi.service.packageadmin.RequiredBundle`

#### getRequiringBundles

    public org.osgi.framework.Bundle[] getRequiringBundles()

Specified by:
  `getRequiringBundles` in interface `org.osgi.service.packageadmin.RequiredBundle`

#### getVersion

    public org.osgi.framework.Version getVersion()

Specified by:
  `getVersion` in interface `org.osgi.service.packageadmin.RequiredBundle`

#### isRemovalPending

    public boolean isRemovalPending()

Specified by:
  `isRemovalPending` in interface `org.osgi.service.packageadmin.RequiredBundle`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`